summaryrefslogtreecommitdiffstats
path: root/jjb/functest
diff options
context:
space:
mode:
authorMorgan Richomme <morgan.richomme@orange.com>2017-09-28 09:16:31 +0000
committerGerrit Code Review <gerrit@opnfv.org>2017-09-28 09:16:31 +0000
commit2461f04429ade8ec5046e9a0d77cdd11db11e75b (patch)
tree6b656877bd460d2926a51c4d2ed71e7dd3950021 /jjb/functest
parent6c84af5a470c520e43973a0db010b62c35286724 (diff)
parent444d4a052978446256a6cc3e4f4cfe0114709a77 (diff)
Merge "[Functest] Block daily job if healthcheck fails"
Diffstat (limited to 'jjb/functest')
-rwxr-xr-xjjb/functest/functest-alpine.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/jjb/functest/functest-alpine.sh b/jjb/functest/functest-alpine.sh
index fdc34810a..ffd86f876 100755
--- a/jjb/functest/functest-alpine.sh
+++ b/jjb/functest/functest-alpine.sh
@@ -20,7 +20,11 @@ run_tiers() {
eval ${cmd}
ret_value=$?
if [ ${ret_value} != 0 ]; then
- echo ${ret_value} > ${ret_val_file}
+ echo ${ret_value} > ${ret_val_file}
+ if [ ${tier} == 'healthcheck' ]; then
+ echo "Healthcheck tier failed. Exiting Functest..."
+ exit 1
+ fi
fi
done
}